## org.exist.start
Class Classpath

    java.lang.Object
      org.exist.start.Classpath

public class Classpath
extends java.lang.Object

Class to handle CLASSPATH construction

Author:
  Jan Hlavat�

Constructor Summary
`Classpath()`
`Classpath(java.lang.String initial)`

Method Summary
`void` `addClasspath(java.lang.String s)`
`boolean` `addComponent(java.io.File component)`
`boolean` `addComponent(java.lang.String component)`
`java.lang.ClassLoader` `getClassLoader(java.lang.ClassLoader parent)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Classpath

    public Classpath()

### Classpath

    public Classpath(java.lang.String initial)

Method Detail

### addComponent

    public boolean addComponent(java.lang.String component)

### addComponent

    public boolean addComponent(java.io.File component)

### addClasspath

    public void addClasspath(java.lang.String s)

### toString

    public java.lang.String toString()

### getClassLoader

    public java.lang.ClassLoader getClassLoader(java.lang.ClassLoader parent)

Copyright (C) Wolfgang Meier. All rights reserved.